gr::dab::time_deinterleave_ff Class Reference

applies time deinterleaving to a vector More...

`#include <time_deinterleave_ff.h>`

Inheritance diagram for gr::dab::time_deinterleave_ff:
[legend]

## Public Types

typedef std::shared_ptr< time_deinterleave_ff > | sptr

## Static Public Member Functions

static sptr | make (int vector_length, const std::vector< unsigned char > &scrambling_vector)
| Return a shared_ptr to a new instance of dab::time_deinterleave_ff.

## Detailed Description

applies time deinterleaving to a vector

applies time deinterleaving to a vector with its arg_max[scrambling_vector] predecessors, the scrambling_vector describes which vector element comes from which predecessors

Parameters

  vector_length | length of input vectors
  scrambling_vector | vector with scrambling parameters (see DAB standard p.138)

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<time_deinterleave_ff> gr::dab::time_deinterleave_ff::sptr

## Member Function Documentation

## make()

sptr gr::dab::time_deinterleave_ff::make | ( | int | vector_length,
|  | const std::vector< unsigned char > & | scrambling_vector )

static

Return a shared_ptr to a new instance of dab::time_deinterleave_ff.

To avoid accidental use of raw pointers, dab::time_deinterleave_ff's constructor is in a private implementation class. dab::time_deinterleave_ff::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- time_deinterleave_ff.h